// iotest.cpp : Defines the entry point for the console application.
//

#include <stdio.h>


int main(int argc, char* argv[])
{
	int a;
	long b;
	float f;
	double d;

	printf("Please input data:\n");
	
	scanf("%d%ld%f%lf", &a, &b, &f, &d);

	printf("\nThe integer is %d and %ld.", a, b);

	printf("\nThe float is %f or %e or %g", f, f, f);
	
	printf("\nThe double is %f or %e or %g", d, d, d);
	
	printf("\nAnother number is %.10f or %.12e or %g\n", f/a, f/a, f/a);

	return 0;
}

